com.pivotal.gemfirexd.internal.client.net

## Class OpenSocketAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.OpenSocketAction

All Implemented Interfaces:
  PrivilegedExceptionAction

    public class OpenSocketAction
    extends Object
    implements PrivilegedExceptionAction

### Constructor Summary

Constructors
Constructor and Description
`OpenSocketAction(String server, int port, int clientSSLMode)`

### Method Summary

Methods
`Object` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSocketAction

    public OpenSocketAction(String server,
                    int port,
                    int clientSSLMode)

### Method Detail

#### run

    public Object run()
               throws UnknownHostException,
                      IOException,
                      NoSuchAlgorithmException,
                      KeyManagementException,
                      NoSuchProviderException,
                      KeyStoreException,
                      UnrecoverableKeyException,
                      CertificateException

Specified by:
  `run` in interface `PrivilegedExceptionAction`
Throws:
  `UnknownHostException`
  `IOException`
  `NoSuchAlgorithmException`
  `KeyManagementException`
  `NoSuchProviderException`
  `KeyStoreException`
  `UnrecoverableKeyException`
  `CertificateException`